<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myLeasingTenorProvideLabel" jhiTranslate="mpmApp.leasingTenorProvide.home.createOrEditLabel">Create or edit a Leasing Tenor Provide</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!leasingTenorProvide.idLeasingProvide">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="leasingTenorProvide.idLeasingProvide" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label">Motor</label>
            <select class="form-control" id="field_motor" name="motor" [(ngModel)]="leasingTenorProvide.productId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors; trackBy: trackMotorById">{{motorOption.name}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.leasingTenorProvide.leasing" for="field_leasing">Leasing</label>
            <select class="form-control" id="field_leasing" name="leasing" [(ngModel)]="leasingTenorProvide.leasingId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="leasingCompanyOption.idPartyRole" *ngFor="let leasingCompanyOption of leasingcompanies; trackBy: trackLeasingCompanyById">{{leasingCompanyOption.partyName}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.leasingTenorProvide.tenor" for="field_tenor">Tenor</label>
            <input currencyMask class="form-control" name="tenor" id="field_tenor"
                [(ngModel)]="leasingTenorProvide.tenor"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.leasingTenorProvide.installment" for="field_installment">Installment</label>
            <input currencyMask class="form-control" name="installment" id="field_installment"
                [(ngModel)]="leasingTenorProvide.installment"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.leasingTenorProvide.downPayment" for="field_downPayment">Down Payment</label>
            <input currencyMask class="form-control" name="downPayment" id="field_downPayment"
                [(ngModel)]="leasingTenorProvide.downPayment"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.leasingTenorProvide.dateFrom" for="field_dateFrom">Date From</label>
            <div class="input-group">
                <p-calendar inputId="field_dateFrom" name="input_dateFrom" [(ngModel)]="leasingTenorProvide.dateFrom"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.leasingTenorProvide.dateThru" for="field_dateThru">Date Thru</label>
            <div class="input-group">
                <p-calendar inputId="field_dateThru" name="input_dateThru" [(ngModel)]="leasingTenorProvide.dateThru"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
